<!DOCTYPE html>
<html>
    <head>
        <title>Cow Grazing Simulator</title>
        <meta charset="UTF-8">
        <meta name="description" content="Cow Grazing Simulator">
        <meta name="keywords" content="HTML, CSS, JavaScript">
        <meta name="author" content="Deepika Toshniwal">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="css/style.css" />
    </head>
    <body>
        <div class="header">
            <h2>Assessment Test for Interface Developer at Merkle</h2>
        </div>
        <div class="content">
            <center>
                <h2>Cow Grazing Simulator</h2>
                <canvas id="cowField" width="600" height="400" >
                </canvas>
            </center>
        </div>
        <div class="footer">
            <p><h3>Please enter instruction for cow to move in the instruction box.</h3>
            <h5><i>Note: F/f for forward, B/b for backward, L/l for Left Turn, R/r for Right Turn
                    <br/>Any special character or number or letters other than F,f,B,b,L,l,R,r will be accepted.
                    <br/>For Example: Just Enter "FFL" if you want cow to move 2 steps forward and then turn left.</i></h5></p>
        <label id="instructionsLabel"><b>Instructions:</b></label>
        <input type="text" onkeypress="return /[l,f,r,b]/i.test(event.key)" id="instructions"/>
        <br/>
        <button class="button" onclick="moveCow()"> Move Cow</button>
        <button class="button" onclick="window.location.reload();"> Refresh</button>
        <br/>
        <!--<button onclick="clearCanvas()"> Clear Canvas</button>-->
        <marquee>by Deepika Toshniwal</marquee>
    </div>
    <script src="js/javascript.js"></script>
</body>
</html>
